Skip to content

# Class: CatalogEntityRegistry

Renderer.Catalog.CatalogEntityRegistry

## Table of contents

### Constructors

- constructor

### Accessors

- activeEntity
- entities

### Methods

- getById
- getItemsForApiKind
- getItemsForCategory

## Constructors

### constructor

• new CatalogEntityRegistry()

## Accessors

### activeEntity

• `get` activeEntity(): CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>

Currently active/visible entity

#### Returns

CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>

### entities

• `get` entities(): `Map`<string, CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>>

#### Returns

`Map`<string, CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>>

## Methods

### getById

▸ getById(`id`): CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>

#### Parameters

Name | Type
--- | ---
`id` | `string`

#### Returns

CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>

### getItemsForApiKind

▸ getItemsForApiKind<T>(`apiVersion`, `kind`): `T`[]

#### Type parameters

Name | Type
--- | ---
`T` | `T`: CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec, T>

#### Parameters

Name | Type
--- | ---
`apiVersion` | `string`
`kind` | `string`

#### Returns

`T`[]

### getItemsForCategory

▸ getItemsForCategory<T>(`category`): `T`[]

#### Type parameters

Name | Type
--- | ---
`T` | `T`: CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec, T>

#### Parameters

Name | Type
--- | ---
`category` | CatalogCategory

#### Returns

`T`[]